let path     = require("path"),
    rootPath = path.resolve(__dirname, '../'),
    src      = path.join(rootPath, 'src');

module.exports = {
	build     : {
		assetsRoot         : path.resolve(__dirname, '../dist'),
		assetsSubDirectory : 'static',
		assetsPublicPath   : '/',
		productionSourceMap: true
	},
	dev       : {
		port              : 8080,
		assetsSubDirectory: 'static',
		assetsPublicPath  : '/',
		// ['http://192.168.101.4:8090/'杰,'http://99.48.210.175:8080'][1]
		proxyTable        : {
			'/api': {
				target     : ['http://192.168.101.4:8090', 'http://99.48.210.175:8080'][1],
				pathRewrite: {
					'^/api': '/'
				}
			}
		},
		cssSourceMap      : false
	},
	commonPath: {
		rootPath  : rootPath,
		staticPath: path.posix.join('/', 'static'),
		fallback  : path.join(rootPath, 'node_modules'),
		src       : src,
		assets    : path.join(src, 'assets'),
		components: path.join(src, 'components'),
		services  : path.join(src, 'services'),
		actions   : path.join(src, 'actions'),
		constants : path.join(src, 'constants')
	}
};
