import React, { Component } from 'react';
import { Link } from 'react-router';


import { Menu, Icon } from 'antd';
const SubMenu = Menu.SubMenu;


import './menu.scss';

class MenuBar extends Component {

	constructor(props) {
		super(props);
		this.state = {
			current: '1'
		}
	}

	handleClick(e) {
		console.log('click ', e);
		// TODO.. 菜单配置是否要仍出去，接口返回的是['','','']，有的就显示，这里用 Spin 套一下
		this.setState({
			current: e.key
		});
	}

	render() {
		return (
			<Menu
				id="menu"
				theme="dark"
				onClick={this.handleClick.bind(this)}
				style={{ width: 240}}
				defaultOpenKeys={['sub1', 'sub2', 'sub4']}
				selectedKeys={[this.state.current]}
				mode="inline"
			>
				<SubMenu key="sub1" title={<span><Icon type="appstore-o" /><span>首页</span></span>}>
					<Menu.Item key="1">Option 1</Menu.Item>
					<Menu.Item key="2">Option 2</Menu.Item>
					<Menu.Item key="3">Option 3</Menu.Item>
					<Menu.Item key="4">Option 4</Menu.Item>
				</SubMenu>
				<SubMenu key="sub2" title={<span><Icon type="shopping-cart" /><span>商品中心</span></span>}>
					<Menu.Item key="5">Option 5</Menu.Item>
					<Menu.Item key="6">Option 6</Menu.Item>
					<SubMenu key="sub3" title="Submenu">
						<Menu.Item key="7">Option 7</Menu.Item>
						<Menu.Item key="8">Option 8</Menu.Item>
					</SubMenu>
				</SubMenu>
				<SubMenu key="sub4" title={<span><Icon type="setting" /><span>Navigation Three</span></span>}>
					<Menu.Item key="9">Option 9</Menu.Item>
					<Menu.Item key="10">Option 10</Menu.Item>
					<Menu.Item key="11">Option 11</Menu.Item>
					<Menu.Item key="12">Option 12</Menu.Item>
				</SubMenu>
			</Menu>
		)
	}
}

export default MenuBar;

