import React, { Component } from 'react';
import { connect } from 'react-redux';
import { fetchVendor } from 'actions/vendorAction';
import NProgress from 'nprogress';
import { Layout } from 'antd';
const { Header, Footer, Sider, Content } = Layout;

import Head from 'components/Head';
import MenuBar from 'components/MenuBar';

import 'assets/main.scss';


class Home extends Component {

	constructor(props) {
		super(props);
	}

	componentDidMount() {
		this.calculateHeight();
		window.addEventListener('resize', this.calculateHeight.bind(this), false);
		const vendorNo = this.props.userData.vendorNo;

		// TODO.. 优化 页面跳转渲染，是否需要在这里 error
		this.props.dispatch(fetchVendor(vendorNo, { onlineFlag: 0 })).then(()=> {
			NProgress.done();
		});
	}

	//计算高度
	calculateHeight() {
		//截流
		clearTimeout(this.calculateTimer);
		this.calculateTimer = setTimeout(() => {
			let dom = (id) => document.getElementById(id);

			if (dom('sider')) {
				dom('sider').style.minHeight = document.documentElement.clientHeight - dom('header').offsetHeight + 'px';
			}

		}, 500);
	}

	render() {
		return (
			<div>
				<Layout>
					<Header id="header">
						<Head loginName={this.props.userData.loginName}/>
					</Header>
					<Layout>
						<Sider id="sider">
							<MenuBar />
						</Sider>
						<Content id="content">
							{this.props.children}
						</Content>
					</Layout>
					<Footer id="footer"/>
				</Layout>
			</div>

		)
	}
}

const mapStateToProps = (state) => {

	const { isFetching, error, vendorData } = state.vendor;
	const { userData } = state.user;

	return {
		isFetching,
		error,
		vendorData,
		userData
	};

};


export default connect(mapStateToProps)(Home);
