import React, { Component } from 'react';
import { Router, Route, IndexRoute, browserHistory, Redirect } from 'react-router';

import NProgress from 'nprogress';

import 'assets/nprogress.scss';


import Login from './login';

// import NotFound from 'components/NotFound/';

import App from './App';
import Home from './Home';

// import VendorDetail from './Vendor/Detail';

import VendorEdit from './Vendor/Edit';


const VendorDetail = (location, cb)=> {
	NProgress.start();
	require.ensure([], require=> {
		cb(null, require('./Vendor/Detail').default);
	}, 'VendorDetail');
};

const requireAuth = (nextState, replace)=> {

	// console.log(nextState.location);

	if (!localStorage.getItem('vendorNo')) {
		replace({
			pathname: '/login',
			state   : { nextPathname: nextState.location.pathname },
			query   : { next: nextState.location.pathname }
		})
	}

};

// TODO edit 考虑异步加载

const RouteConfig = (
	<Router history={browserHistory}>
		<Route path="/" component={Login}/>
		<Route path="/login" component={Login}/>
		<Route path='/home' component={Home} onEnter={requireAuth}>
			<IndexRoute component={App}/>
			<Route path="vendor">
				<IndexRoute getComponent={VendorDetail}/>
				<Route path="edit" component={VendorEdit} onEnter={requireAuth}/>
				<Route path="detail" getComponent={VendorDetail} onEnter={requireAuth}/>
			</Route>

		</Route>


	</Router>
);

// <Route path='/404' component={NotFound}/>

export default RouteConfig;