import React, { Component } from 'react';
import { connect } from 'react-redux';
import NProgress from 'nprogress';
import { Button, Row, Col, Tabs, Modal } from 'antd';
const TabPane = Tabs.TabPane;
import DetailComponent from 'components/Vendor/Detail';
import { fetchVendor } from 'actions/vendorAction';
import { VendorForm } from 'services/formData/vendorForm';
import { Utils } from 'assets/utils';


class Detail extends Component {

	constructor(props) {
		super(props);
		this.state = {
			activeKey: "0"
		}
	}

	componentDidMount() {

		// 如果是路径自己打开的，不再去请求数据
		if (Utils.isEmptyObject(this.props.vendorData) && this.props.location.action != 'POP') {
			this.getVendor(0);
		}

		NProgress.done();
	}

	componentWillReceiveProps(nextProps) {

		if (nextProps.location !== this.props.location) {

			console.log(this.props.location, nextProps.location);

			this.setState({
				activeKey: "0"
			});

			if (nextProps.location.pathname == this.props.location.pathname) {
				this.getVendor(0);
			}
		}

		// console.log('detail componentWillReceiveProps');

		// TODO.. 测试500，统一写法
		if (!Utils.isEmptyObject(nextProps.error)) {
			Modal.error({
				title  : "出错了",
				content: <div>{nextProps.error.status}<br />{nextProps.error.statusText}</div>
			})
		}

	}

	getVendor(key) {
		const vendorNo = this.props.userData.vendorNo;

		this.props.dispatch(fetchVendor(vendorNo, { onlineFlag: key })).then(()=> {
			NProgress.done();
		});
	}

	handleTabClick(key) {
		this.setState({
			activeKey: key
		});
		this.getVendor(key);
	}

	render() {
		const data = this.props.vendorData || VendorForm;

		return (
			<div>
				<Tabs type="card" animated={false} onTabClick={this.handleTabClick.bind(this)} activeKey={this.state.activeKey}>
					<TabPane tab="审核中" key="0">
						<DetailComponent vendorData={data} isFetching={ this.props.isFetching} isShow={ data.state==2 } tabKey="0"/>
					</TabPane>
					<TabPane tab="线上" key="1"><DetailComponent vendorData={data} isFetching={this.props.isFetching} isShow={true} tabKey="1"/></TabPane>
				</Tabs>
			</div>
		)
	}
}


const mapStateToProps = (state) => {

	const { isFetching, error, vendorData } = state.vendor;
	const { userData } = state.user;

	return {
		isFetching,
		error,
		vendorData,
		userData
	};

};

export default connect(mapStateToProps)(Detail);
