// require('es6-promise').polyfill(); // 兼容IE9
import fetch from 'isomorphic-fetch';
import { Utils } from '../../assets/utils';

// TODO.. 验证每一次操作是否登入，没有登入跳转登入，清除 loacalStorage

const errorHandler = (status, statusText, reject) => {
	if (status != 200) {
		statusText = statusText || '哎呀出错了';
	}
	return reject({
		status,
		statusText
	});
};

const successsHandler = (data, msg, resolve) => {
	return resolve({
		data,
		msg
	});
};

function formData(data) {
	var returnData = new FormData();
	for (var item in data) {
		if (data.hasOwnProperty(item)) {
			returnData.append(item, data[item]);
		}
	}
	return returnData;
}

export const xhr = ({ url = '', params = '', method = 'get', timeout = 10000 } = {}) => {

	// 默认带上cookie
	var opts = { method, timeout, credentials: 'include' };

	if (method.toLocaleUpperCase() == 'GET') {
		if (params) {
			url = `${url}?${Utils.jsonToParam(params)}`;
		}
	}

	if (method.toLocaleUpperCase() == 'POST' || method.toLocaleUpperCase() == 'PUT') {
		opts.headers = {
			"content-type": "application/json;charset=UTF-8"
		};
		opts.body = JSON.stringify(params);
	}

	return new Promise((resolve, reject)=> {

		fetch(url, opts).then(function (res) {

			if (res.status != 200) {
				return Promise.reject(res);
			}

			return res;

		}).then(response=>response.json()).then(function (data) {

			if (!data)return resolve(null);

			if (data.success) {
				return successsHandler(data.result, data.resMsg, resolve);
			}

			return errorHandler(data.resCode, data.resMsg, reject);

		}).catch((res) => {
			return errorHandler(res.status, res.statusText, reject);
		});

	})

};


